[DEFAULT]
state_path = /var/lib/nova
use_neutron = True
firewall_driver = nova.virt.firewall.NoopFirewallDriver
my_ip = {{ my_ip }}
transport_url = {{ transport_url }}
vnc_enabled = false
block_device_allocate_retries_interval = 10
block_device_allocate_retries = 120
resume_guests_state_on_host_boot = True
use_syslog = False
reserved_host_memory_mb=8196
timeout_nbd = 60
heal_instance_info_cache_interval = 600
vif_plugging_timeout = 600
rpc_response_timeout = 120

[api]
auth_strategy = keystone

[api_database]
[barbican]

[cache]
enabled = True
memcache_servers = {{ memcached_servers }}
backend = oslo_cache.memcache_pool

[cells]
enable=False

[cinder]

[compute]
consecutive_build_service_disable_threshold = 0

[conductor]
[console]
[consoleauth]
[cors]
[crypto]
[database]
[ephemeral_storage_encryption]
[filter_scheduler]

[glance]
api_servers = {{ api_servers }}

[guestfs]
[healthcheck]
[hyperv]
[image_file_url]
[ironic]
[key_manager]
[keystone]

[keystone_authtoken]
www_authenticate_uri = {{ www_authenticate_uri }}
auth_url = {{ auth_url }}
memcached_servers = {{ memcached_servers }}
auth_type = password
project_domain_name = Default
user_domain_name = Default
project_name = service
username = nova
password = {{ nova_password }}
service_token_roles = admin
service_token_roles_required = True

[libvirt]
cpu_mode = host-passthrough
use_virtio_for_bridges = True
images_rbd_pool = vms
images_type = rbd
rbd_secret_uuid = {{ rbd_secret_uuid }}
rbd_user = compute
disk_cachemodes="network=writeback"
live_migration_retry_count = 10
max_concurrent_live_migrations = 10
live_migration_bandwidth = 0
live_migration_uri = qemu+ssh://%s/system?no_verify=1

[matchmaker_redis]
[metrics]
[mks]

[neutron]
auth_url = {{ auth_url }}
auth_type = password
project_domain_name = Default
user_domain_name = Default
project_name = service
region_name = RegionOne
username = neutron
password = {{ neutron_password }}

[notifications]
[osapi_v21]

[oslo_concurrency]
lock_path = /var/lock/nova

[oslo_messaging_amqp]
connection_retry_interval_max = 60
default_reply_timeout = 60
default_send_timeout = 60
default_notify_timeout = 60

[oslo_messaging_kafka]
[oslo_messaging_notifications]
[oslo_messaging_rabbit]
[oslo_messaging_zmq]
[oslo_middleware]

[oslo_policy]
enforce_new_defaults=False
enforce_scope=False

[pci]

[placement]
os_region_name = RegionOne
auth_url = {{ auth_url }}
auth_type = password
project_domain_name = Default
user_domain_name = Default
project_name = service
username = placement
password = {{ placement_password }}

[quota]
[rdp]
[remote_debug]
[scheduler]

[serial_console]
enabled = True
port_range = 10000:20000
base_url = wss://{{ dashboard_domain }}:6083/
proxyclient_address = $my_ip

[service_user]

[spice]
enabled = True
agent_enabled = True
html5proxy_base_url = https://{{ console_domain }}/spice_auto.html
server_proxyclient_address = $my_ip
server_listen = 0.0.0.0

[upgrade_levels]
[vault]
[vendordata_dynamic_auth]
[vmware]

[vnc]
enabled = False
novncproxy_base_url = https://{{ console_domain }}/vnc_auto.html
server_listen = 0.0.0.0
server_proxyclient_address = $my_ip

[workarounds]
[wsgi]
[xenserver]
[xvp]
